diff --git a/ext/drwrap/drwrap.c b/ext/drwrap/drwrap.c
index 38b558e8fc..e6709e8688 100644
--- a/ext/drwrap/drwrap.c
+++ b/ext/drwrap/drwrap.c
@@ -970,7 +970,7 @@ void
 drwrap_exit(void)
 {
     /* handle multiple sets of init/exit calls */
-    int count = dr_atomic_add32_return_sum(&drwrap_init_count, -1);
+    int i, count = dr_atomic_add32_return_sum(&drwrap_init_count, -1);
     if (count != 0)
         return;
 
